<div class="row">
    <div class="col-md-12 mb-4">
        <button (click)="createMachineFormGroup()" type="button" class="btn btn-sm btn-custom" data-toggle="modal"
            data-target="#addNewMachine" data-backdrop="static" data-keyboard="false">Add New Machine </button>
    </div>
</div>

<div class="card shadow mb-4">
    <div class="card-body">
        <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                <thead>
                    <tr>
                        <th>Machine/Serial Number</th>
                        <th>Model</th>
                        <th>Machine Type</th>
                        <th>Make</th>
                        <th>Added By</th>
                        <th>Added On</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let m of machines | paginate: { itemsPerPage: 10, currentPage: p }">
                        <td>{{m.serial_number}}</td>
                        <td>{{m.model}}</td>
                        <td>{{m.machine_type}}</td>
                        <td>{{m.make}}</td>
                        <td>{{m.added_by}}</td>
                        <td>{{m.created_on}}</td>
                        <td>
                            <span><i data-toggle="modal" data-target="#addNewMachine" (click)="editMachine(m)"
                                    class="fa fa-edit text-primary mr-2" aria-hidden="true"></i></span>
                            <span><i data-toggle="modal" data-target="#viewServiceHistory" (click)="viewServiceHistory(m)"
                                        class="fa fa-history text-info  mr-2" aria-hidden="true"></i></span>
                        </td>
                    </tr>
                    <tr *ngIf="machines==''">
                        <td colspan="7" class="text-center">No Records Found</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="row d-flex justify-content-center">
            <pagination-controls *ngIf="machines!=''" class="my-pagination" (pageChange)="p = $event">
            </pagination-controls>
        </div>
    </div>
</div>

<!-----------Add New Buyer Form Modal------------------------>
<div id="addNewMachine" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title">Add / Edit New Machine</h6>
                <button #closeBtn type="button" class="close" (click)="closeDialog()" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <form class="user" (submit)="addorEditMachine()" [formGroup]="NewMachineForm">
                    <div class="form-group row">
                        <div class="col-sm-12 mb-3">
                            <label>Machine/Serial Number:</label>
                            <input formControlName="serial_number" (keyup)="validateMachinCode($event.target.value)" type="text" class="form-control form-control-user"
                                id="username">
                            <div *ngIf="submitted && formControls.serial_number.errors" class="errors">
                                <div *ngIf="formControls.serial_number.errors.required">Machine/Serial Number is
                                    required</div>
                            </div>
                            <div *ngIf="boolExistError" class="errors">Machine/Serial Number is
                                Already Present</div>
                        </div>
                  
                        <div class="col-sm-12 mb-3">
                            <label>Make:</label>
                            <input formControlName="make" type="text" class="form-control form-control-user">
                            <div *ngIf="submitted && formControls.make.errors" class="errors">
                                <div *ngIf="formControls.make.errors.required">Make is required</div>
                            </div>
                        </div>
                    
                        <div class="col-sm-12 mb-3">
                            <label>Model No.:</label>
                            <input formControlName="model" type="text" class="form-control form-control-user">
                            <div *ngIf="submitted && formControls.model.errors" class="errors">
                                <div *ngIf="formControls.model.errors.required">Model is required</div>
                            </div>
                        </div>
                    
                        <div class="col-sm-12 mb-3">
                            <label>Machine Type:</label>
                            <select formControlName="machine_type" class="form-control dropdown">
                                <option value="Single Needle">Single Needle</option>
                                <option value="Double Needle">Double Needle</option>
                                <option value="Waistband Attachment">Waistband Attachment</option>
                                <option value="Welt Machine">Welt Machine </option>
                                <option value="Feed of Arm ">Feed of Arm </option>
                                <option value="Bartack">Bartack </option>
                                <option value="Keyhole">Keyhole</option>
                                <option value="Kaja">Kaja </option>
                                <option value="Button">Button </option>

                            </select>
                            <div *ngIf="submitted && formControls.machine_type.errors" class="errors">
                                <div *ngIf="formControls.machine_type.errors.required">Machine Type is required</div>
                            </div>
                        </div>
                    </div>
                    <hr>
                    <div class="form-group row">
                        <div class="col-sm-2 mb-3">
                        </div>
                        <div class="col-sm-8 mb-3">
                            <input type="submit" value="submit" class="btn btn-main btn-user btn-block">
                        </div>
                    </div>

                </form>
            </div>
        </div>
    </div>
</div>

<!----------View Service History Modal------------------------>
<div id="viewServiceHistory" class="modal fade xlargeModal" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title" *ngIf="selectedMachine">Service History of Machine {{selectedMachine.serial_number}}</h6>
                <button #closeBtn type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <div class="table-responsive">
                    <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                        <thead>
                            <tr>
                                <th>Machine/Serial Number</th>
                                <th>Date</th>
                                <th>Status</th>
                                <th>Remarks</th>
                                <th>Added By</th>
                                <th>Added On</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let m of history | paginate: { itemsPerPage: 10, currentPage: p }">
                                <td>{{m.serial_number}}</td>
                                <td>{{m.date}}</td>
                                <td>{{m.status}}</td>
                                <td>{{m.remark}}</td>
                                <td>{{m.added_by}}</td>
                                <td>{{m.created_on}}</td>
                            </tr>
                            <tr *ngIf="history==''">
                                <td colspan="6" class="text-center">No Records Found</td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="row d-flex justify-content-center">
                    <pagination-controls *ngIf="history!=''" class="my-pagination" (pageChange)="p = $event">
                    </pagination-controls>
                </div>
            </div>
        </div>

    </div>